#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libXdmcp
Version		:	1.1.3
Release		:	14.8.0.0%{?dist}
Summary		:	X Display Manager Control Protocol routines
Group		:	User Interface/X

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://cgit.freedesktop.org/xorg/lib/libXdmcp/

Source0		:	%{name}-%{version}.tar.bz2
#-----------------------------------------------------------------------------
BuildRequires	:	xorg-util-macros
BuildRequires	:	xorgproto
#-----------------------------------------------------------------------------
%description
X Display Manager Control Protocol library.


#-----------------------------------------------------------------------------
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-config-udev				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make}							\
	DESTDIR="%{buildroot}"					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.md
%{_includedir}/X11/Xdmcp.h
%{_libdir}/%{name}.{la,so*}
%{_libdir}/pkgconfig/xdmcp.pc
%{_defaultdocdir}/%{name}-%{version}/xdmcp.xml
#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
